/*
 * @Descripttion: 
 * @version: 
 * @Author: JC9527
 * @Date: 2024-06-06 09:09:18
 * @LastEditors: JC9527
 * @LastEditTime: 2024-06-06 09:16:24
 */
import request from '@/utils/request'

// 查询119数据列表
export function listFire(query) {
  return request({
    url: '/algorithms/fire',
    method: 'get',
    params: query
  })
}

// 查询119数据详细
export function getFire(id) {
  return request({
    url: '/algorithms/fire/' + id,
    method: 'get'
  })
}

// 新增119数据
export function addFire(data) {
  return request({
    url: '/system/fire',
    method: 'post',
    data: data
  })
}

// 修改119数据
export function updateFire(data) {
  return request({
    url: '/system/fire',
    method: 'put',
    data: data
  })
}

// 删除119数据
export function delFire(id) {
  return request({
    url: '/system/fire/' + id,
    method: 'delete'
  })
}
